---
title: "List a project's flags, newest first"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.ezghcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Feature Flags API

`GET /v1/organizations/{orgId}/projects/{projectId}/flags`

## Authentication

Requires one of the following:

- `apiKey`, http, header `Authorization`
- `oauth`, http, header `Authorization`
- `sessionCookie`, apiKey, in cookie

## Path parameters

- `ListFlags.path.orgId` (string, required)
  - format `uuid`
- `ListFlags.path.projectId` (string, required)
  - format `uuid`

## Query parameters

- `ListFlags.query.limit` (integer, optional) — The page size. Out of range is 400, never a clamp.
  - min 1; max 100; default `20`
- `ListFlags.query.cursor` (string, optional) — The previous page's nextCursor. Bound to the organization, the list and its filters.
- `ListFlags.query.key` (string, optional) — Only the flag with this key.
  - pattern `^[a-z0-9][a-z0-9_-]{0,63}$`
- `ListFlags.query.tag` (string, optional) — Only flags with this tag.
- `ListFlags.query.archived` (boolean, optional) — Only archived (true) or unarchived (false) flags.
- `ListFlags.query.q` (string, optional) — Only flags whose key or name contains this text.
  - maxLength 100
- `ListFlags.query.include` (unknown, optional) — environments: each flag's per-environment state, for the environments the caller may read.
  - one of `"environments"`

## Code samples

### cURL

```curl
curl --request GET \
  --url https://flags-api.ezghcloud.com/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/flags \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://flags-api.ezghcloud.com/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/flags';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://flags-api.ezghcloud.com/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/flags"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

A page of flags. With include=environments, each flag's enabled and version per environment the caller may read (no access).

#### Example

```json
{
  "flags": [
    {
      "archived": true,
      "clientSide": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "description": "string",
      "environments": [
        {
          "access": {
            "update": true
          },
          "enabled": true,
          "environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563",
          "environmentKey": "string",
          "version": 0
        }
      ],
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "key": "string",
      "name": "string",
      "resourceName": "string",
      "tags": [
        "string"
      ],
      "type": "boolean",
      "updatedAt": "2019-08-24T14:15:22Z",
      "variations": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "key": "string",
          "name": "string",
          "value": null
        }
      ]
    }
  ],
  "nextCursor": "string"
}
```

- `ListFlags.response.200.flags` (array<object>, required)
  - `ListFlags.response.200.flags.archived` (boolean, required)
  - `ListFlags.response.200.flags.clientSide` (boolean, required) — Visible to client SDK keys.
  - `ListFlags.response.200.flags.createdAt` (string, required)
    - format `date-time`
  - `ListFlags.response.200.flags.description` (string, required)
    - maxLength 1000
  - `ListFlags.response.200.flags.id` (string, required)
    - format `uuid`
  - `ListFlags.response.200.flags.key` (string, required) — Lowercase letters, digits, _ and -, starting with a letter or digit; at most 64 characters. Immutable.
    - pattern `^[a-z0-9][a-z0-9_-]{0,63}$`
  - `ListFlags.response.200.flags.name` (string, required)
    - maxLength 100
  - `ListFlags.response.200.flags.resourceName` (string, required)
  - `ListFlags.response.200.flags.tags` (array<string>, required)
  - `ListFlags.response.200.flags.type` (unknown, required)
    - one of `"boolean"`, `"string"`, `"number"`, `"object"`
  - `ListFlags.response.200.flags.updatedAt` (string, required)
    - format `date-time`
  - `ListFlags.response.200.flags.variations` (array<object>, required)
    - `ListFlags.response.200.flags.variations.id` (string, required)
      - format `uuid`
    - `ListFlags.response.200.flags.variations.key` (string, required) — Lowercase letters, digits, _ and -, starting with a letter or digit; at most 64 characters. Immutable.
      - pattern `^[a-z0-9][a-z0-9_-]{0,63}$`
    - `ListFlags.response.200.flags.variations.name` (string, required)
      - maxLength 100
    - `ListFlags.response.200.flags.variations.value` (unknown, required) — A value of the flag's type, at most 32 KB of JSON.
  - `ListFlags.response.200.flags.environments` (array<object>, optional) — With include=environments.
    - `ListFlags.response.200.flags.environments.enabled` (boolean, required)
    - `ListFlags.response.200.flags.environments.environmentId` (string, required)
      - format `uuid`
    - `ListFlags.response.200.flags.environments.environmentKey` (string, required) — Lowercase letters, digits, _ and -, starting with a letter or digit; at most 64 characters. Immutable.
      - pattern `^[a-z0-9][a-z0-9_-]{0,63}$`
    - `ListFlags.response.200.flags.environments.version` (integer, required)
    - `ListFlags.response.200.flags.environments.access` (object, optional)
      - `ListFlags.response.200.flags.environments.access.update` (boolean, required) — Whether the caller may change this flag's targeting in this environment (flags.configs.update).
- `ListFlags.response.200.nextCursor` (string | null, required)

### 400

invalid_request (with issues), invalid_cursor, or the endpoint's own 400 codes.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListFlags.response.400.error` (object, required)
  - `ListFlags.response.400.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListFlags.response.400.error.message` (string, required)
    - maxLength 1024
  - `ListFlags.response.400.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListFlags.response.400.error.issues.message` (string, required)
    - `ListFlags.response.400.error.issues.path` (string, required)
  - `ListFlags.response.400.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListFlags.response.400.error.quota.id` (string, required)
    - `ListFlags.response.400.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListFlags.response.400.error.quota.limit` (integer, required)
      - min 0
    - `ListFlags.response.400.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListFlags.response.400.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListFlags.response.400.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListFlags.response.400.error.quota.region` (string, optional)
    - `ListFlags.response.400.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListFlags.response.400.error.quota.scopeResourceName` (string, optional)
    - `ListFlags.response.400.error.quota.used` (integer, optional)
      - min 0
    - `ListFlags.response.400.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 401

unauthenticated: no credential, or one that doesn't check out.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListFlags.response.401.error` (object, required)
  - `ListFlags.response.401.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListFlags.response.401.error.message` (string, required)
    - maxLength 1024
  - `ListFlags.response.401.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListFlags.response.401.error.issues.message` (string, required)
    - `ListFlags.response.401.error.issues.path` (string, required)
  - `ListFlags.response.401.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListFlags.response.401.error.quota.id` (string, required)
    - `ListFlags.response.401.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListFlags.response.401.error.quota.limit` (integer, required)
      - min 0
    - `ListFlags.response.401.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListFlags.response.401.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListFlags.response.401.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListFlags.response.401.error.quota.region` (string, optional)
    - `ListFlags.response.401.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListFlags.response.401.error.quota.scopeResourceName` (string, optional)
    - `ListFlags.response.401.error.quota.used` (integer, optional)
      - min 0
    - `ListFlags.response.401.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 403

access_denied: the caller's policies don't allow the action; forbidden_origin: a cookie-authenticated write from an origin that isn't allowed; spend_limit_reached.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListFlags.response.403.error` (object, required)
  - `ListFlags.response.403.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListFlags.response.403.error.message` (string, required)
    - maxLength 1024
  - `ListFlags.response.403.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListFlags.response.403.error.issues.message` (string, required)
    - `ListFlags.response.403.error.issues.path` (string, required)
  - `ListFlags.response.403.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListFlags.response.403.error.quota.id` (string, required)
    - `ListFlags.response.403.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListFlags.response.403.error.quota.limit` (integer, required)
      - min 0
    - `ListFlags.response.403.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListFlags.response.403.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListFlags.response.403.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListFlags.response.403.error.quota.region` (string, optional)
    - `ListFlags.response.403.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListFlags.response.403.error.quota.scopeResourceName` (string, optional)
    - `ListFlags.response.403.error.quota.used` (integer, optional)
      - min 0
    - `ListFlags.response.403.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 404

not_found: unknown, malformed, or in an organization the caller isn't in.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListFlags.response.404.error` (object, required)
  - `ListFlags.response.404.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListFlags.response.404.error.message` (string, required)
    - maxLength 1024
  - `ListFlags.response.404.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListFlags.response.404.error.issues.message` (string, required)
    - `ListFlags.response.404.error.issues.path` (string, required)
  - `ListFlags.response.404.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListFlags.response.404.error.quota.id` (string, required)
    - `ListFlags.response.404.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListFlags.response.404.error.quota.limit` (integer, required)
      - min 0
    - `ListFlags.response.404.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListFlags.response.404.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListFlags.response.404.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListFlags.response.404.error.quota.region` (string, optional)
    - `ListFlags.response.404.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListFlags.response.404.error.quota.scopeResourceName` (string, optional)
    - `ListFlags.response.404.error.quota.used` (integer, optional)
      - min 0
    - `ListFlags.response.404.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 429

too_many_requests, with Retry-After; or quota_exceeded (a rate, usage or concurrency quota, with quota), never with Retry-After.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListFlags.response.429.error` (object, required)
  - `ListFlags.response.429.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListFlags.response.429.error.message` (string, required)
    - maxLength 1024
  - `ListFlags.response.429.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListFlags.response.429.error.issues.message` (string, required)
    - `ListFlags.response.429.error.issues.path` (string, required)
  - `ListFlags.response.429.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListFlags.response.429.error.quota.id` (string, required)
    - `ListFlags.response.429.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListFlags.response.429.error.quota.limit` (integer, required)
      - min 0
    - `ListFlags.response.429.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListFlags.response.429.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListFlags.response.429.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListFlags.response.429.error.quota.region` (string, optional)
    - `ListFlags.response.429.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListFlags.response.429.error.quota.scopeResourceName` (string, optional)
    - `ListFlags.response.429.error.quota.used` (integer, optional)
      - min 0
    - `ListFlags.response.429.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 500

internal_error: a bug; the details are in the logs, under the request ID.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListFlags.response.500.error` (object, required)
  - `ListFlags.response.500.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListFlags.response.500.error.message` (string, required)
    - maxLength 1024
  - `ListFlags.response.500.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListFlags.response.500.error.issues.message` (string, required)
    - `ListFlags.response.500.error.issues.path` (string, required)
  - `ListFlags.response.500.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListFlags.response.500.error.quota.id` (string, required)
    - `ListFlags.response.500.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListFlags.response.500.error.quota.limit` (integer, required)
      - min 0
    - `ListFlags.response.500.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListFlags.response.500.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListFlags.response.500.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListFlags.response.500.error.quota.region` (string, optional)
    - `ListFlags.response.500.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListFlags.response.500.error.quota.scopeResourceName` (string, optional)
    - `ListFlags.response.500.error.quota.used` (integer, optional)
      - min 0
    - `ListFlags.response.500.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 503

unavailable: a dependency the request needs is down. Retry after Retry-After.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListFlags.response.503.error` (object, required)
  - `ListFlags.response.503.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListFlags.response.503.error.message` (string, required)
    - maxLength 1024
  - `ListFlags.response.503.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListFlags.response.503.error.issues.message` (string, required)
    - `ListFlags.response.503.error.issues.path` (string, required)
  - `ListFlags.response.503.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListFlags.response.503.error.quota.id` (string, required)
    - `ListFlags.response.503.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListFlags.response.503.error.quota.limit` (integer, required)
      - min 0
    - `ListFlags.response.503.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListFlags.response.503.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListFlags.response.503.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListFlags.response.503.error.quota.region` (string, optional)
    - `ListFlags.response.503.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListFlags.response.503.error.quota.scopeResourceName` (string, optional)
    - `ListFlags.response.503.error.quota.used` (integer, optional)
      - min 0
    - `ListFlags.response.503.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.


Source: https://docs.ezghcloud.com/flags-api/ListFlags/index.md
